package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 联考一分一段对象 mall_exam_section
 *
 * @author LCL
 * @date 2023-10-23
 */
public class MallExamSection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 联考一分一段主键ID */
    private Long sectionId;

    /** 联考一分一段名称 */
    @Excel(name = "联考一分一段名称")
    private String sectionName;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 年份 */
    @Excel(name = "年份")
    private String years;

    /** 分数 */
    @Excel(name = "分数")
    private Integer score;

    /** 位次区间（低位次） */
    @Excel(name = "位次区间", readConverterExp = "低=位次")
    private String intervalOne;

    /** 位次区间（高位次） */
    @Excel(name = "位次区间", readConverterExp = "高=位次")
    private String intervalTwo;

    /** 同分段人数 */
    @Excel(name = "同分段人数")
    private Long num;

    /** 状态:：0-启用，1-不启用 */
    @Excel(name = "状态:：0-启用，1-不启用")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setSectionId(Long sectionId)
    {
        this.sectionId = sectionId;
    }

    public Long getSectionId()
    {
        return sectionId;
    }
    public void setSectionName(String sectionName)
    {
        this.sectionName = sectionName;
    }

    public String getSectionName()
    {
        return sectionName;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setYears(String years)
    {
        this.years = years;
    }

    public String getYears()
    {
        return years;
    }
    public void setScore(Integer score)
    {
        this.score = score;
    }

    public Integer getScore()
    {
        return score;
    }
    public void setIntervalOne(String intervalOne)
    {
        this.intervalOne = intervalOne;
    }

    public String getIntervalOne()
    {
        return intervalOne;
    }
    public void setIntervalTwo(String intervalTwo)
    {
        this.intervalTwo = intervalTwo;
    }

    public String getIntervalTwo()
    {
        return intervalTwo;
    }
    public void setNum(Long num)
    {
        this.num = num;
    }

    public Long getNum()
    {
        return num;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("sectionId", getSectionId())
            .append("sectionName", getSectionName())
            .append("type", getType())
            .append("years", getYears())
            .append("score", getScore())
            .append("intervalOne", getIntervalOne())
            .append("intervalTwo", getIntervalTwo())
            .append("num", getNum())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
